Bug 1038844 - RFE: Add ability in command-hooks to specify that a command should run regardless of prior failed commands
Summary: RFE: Add ability in command-hooks to specify that a command should run regard...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-zanata-client
Version: development
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Michelle Kim
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-05 23:30 UTC by David Mason
Modified: 2015-07-29 03:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 03:36:32 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1038449 0 unspecified CLOSED RFE: integrate client with command-line tools (command hook in zanata.xml) 2021-02-22 00:41:40 UTC

Internal Links: 1038449

Description David Mason 2013-12-05 23:30:28 UTC
Description of problem:
When commands specified in command hooks are run, if any command fails the process will be aborted and subsequent commands will not run. This may prevent some cleanup commands being run, leaving temporary files in the user's workspace.

An optional attribute should be available on <before> and <after> tags to specify that they should run regardless of prior failures so that temporary files can be cleaned up even if prior commands fail.

Comment 1 Ding-Yi Chen 2013-12-06 06:22:35 UTC
Frankly speaking, project maintainers are more likely to rely on shell or build scripts to accomplish same functionality.

Comment 2 David Mason 2015-03-25 04:39:17 UTC
This would be a very easy change, so I think it is worth implementing.

(In reply to Ding-Yi Chen from comment #1)
> Frankly speaking, project maintainers are more likely to rely on shell or
> build scripts to accomplish same functionality.

That is a reason not to have added command hooks, but it is not a reason not to make command hooks better. If we are maintaining the feature, making it more usable is part of maintenance.

Comment 3 Zanata Migrator 2015-07-29 03:36:32 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-344


Note You need to log in before you can comment on or make changes to this bug.